--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: each_key
block_params: (i.name)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Executes block once for each field in the header, passing the field's name as a parameter.
- !ruby/struct:SM::Flow::P 
  body: Returns self
full_name: RMail::Header#each_name
is_singleton: false
name: each_name
params: () {|i.name| ...}
visibility: public
